List all Cloud Connect attachments of an organization

Lists all Cloud Connect attachments of the logged in organisation if it is an Enterprise. For Master organisations it lists all attachments of the direct child organisations. Deleted attachments are left out by default. Additionally the attachments can be filtered by status and type. Master organisations can also filter by organisation ID of their direct child organisations.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the /api/v1/authenticate POST request.

Query parameters

statusenumOptional
Numerical ID of the Cloud Connect attachment status * `1` - Pending Customer Action * `2` - Pending AWS Activation * `3` - Pending EGN Activation * `4` - Pending CRG Activation * `5` - Active * `6` - Deactivation Pending * `7` - Deactivated * `8` - Rolling Back
typeenumOptional
Numerical ID of the Cloud Connect attachment type * `1` - Transit Gateway * `2` - IPSec VPN * `3` - IPSec VPN BGP * `4` - IPSec VPN BGP High Availability * `5` - Direct Connect * `6` - Shared * `7` - Transit Gateway (Classic) * `8` - IPSec VPN (Classic)
organisationdoubleOptional
Numerical ID of an Organization

Response

OK
idinteger
namestring
descriptionstring
user_idinteger
creation_datestring
The date this attachment was created in UTC
accept_attachment_expiry_datestring

The expiry date of the accept attachment state in UTC. This will only be returned if the breakout is of type Transit Gateway (type_id: 1) and in Status Pending AWS Actvation (status_id: 2)

termination_datestring
aws_transit_gateway_attachment_idstring
aws_vpn_connection_idstring
This is only set when the breakout is a VPN attachment
statusobject
typeobject
regionstring
The customer region that this attachment belongs to

Errors

403
Forbidden Error